Bug 825151 - [RHEVM] [backend] [Setup Host Networks] bonding options are not handed over correctly
[RHEVM] [backend] [Setup Host Networks] bonding options are not handed over c...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
x86_64 Linux
high Severity urgent
: ---
: ---
Assigned To: Mike Kolesnik
Martin Pavlik
: TestBlocker
: 828171 (view as bug list)
Depends On:
Blocks: 709060 830832
  Show dependency treegraph
Reported: 2012-05-25 04:59 EDT by Martin Pavlik
Modified: 2016-02-10 14:58 EST (History)
10 users (show)

See Also:
Fixed In Version: SI6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 14:58:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot 1 (136.78 KB, image/png)
2012-05-25 05:01 EDT, Martin Pavlik
no flags Details
screenshot 2 (138.90 KB, image/png)
2012-05-25 05:08 EDT, Martin Pavlik
no flags Details
vdsm.log + engine.log (5.76 KB, application/x-gzip)
2012-05-25 05:08 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-05-25 04:59:12 EDT
Description of problem:
I tried to create bond in mode 1 via Setup Hosts Network dialog (screenshot 1), but I ended up with bond in mode 4 (screenshot 2)

according to VDSM log at first everything seems to be sent correctly ('BONDING_OPTS': 'mode=1 miimon=100')

Thread-15::DEBUG::2012-05-25 10:22:45,515::BindingXMLRPC::864::vds::(wrapper) client []::call setupNetworks with ({'rhevm': {'nic': 'em1', 'BOOTPROTO': 'dhcp', 'bridged': 'true'}, 'NET1': {'bonding': 'bond1', 'ipaddr': '', 'gateway': '', 'bridged': 'true', 'netmask': ''}}, {'bond4': {'remove': 'true'}, 'bond0': {'remove': 'true'}, 'bond1': {'nics': ['p1p1', 'p1p2'], 'BONDING_OPTS': 'mode=1 miimon=100'}, 'bond2': {'remove': 'true'}, 'bond3': {'remove': 'true'}}, {'connectivityCheck': 'true', 'connectivityTimeout': '60000'}) {} flowID [4568e5bb]

but in further steps bonding options get lost (bondingOptions=None)

MainProcess|Thread-15::INFO::2012-05-25 10:22:53,360::configNetwork::595::root::(addNetwork) Adding network NET1 with vlan=None, bonding=bond1, nics=['p1p1', 'p1p2'], bondingOptions=None, mtu=None, bridged=True, options={}

this makes rhevm to use default bonding mode 4.

Version-Release number of selected component (if applicable):
oVirt Enterprise Virtualization Engine Manager Version: 3.1.0_0001-11.el6ev 

How reproducible:

Steps to Reproduce:
have one logical network in cluster (other than rhevm)
1. Hosts -> your host -> Network Interfaces -> Setup Host Networks
2. drag one free interface across another free interface -> choose bonding mode 1 -> click OK
3. drag your logical network to new bond
4. click pencil icon on the bond 
   a) make sure bonding mode is set to Mode 1
   b) choose boot protocol static
   c) fill in IP/MASK , put to Default Gateway
   d) click OK
5. click OK

Actual results:
bond is always created with bonding mode 4

Expected results:
bond should get created with mode which is chosen via GUI

Additional info:
it does not really matter which bonding mode is chosen, bond is always created with bonding mode 4
Comment 1 Martin Pavlik 2012-05-25 05:01:49 EDT
Created attachment 586804 [details]
screenshot 1
Comment 2 Martin Pavlik 2012-05-25 05:08:28 EDT
Created attachment 586805 [details]
screenshot 2
Comment 3 Martin Pavlik 2012-05-25 05:08:54 EDT
Created attachment 586806 [details]
vdsm.log + engine.log
Comment 4 Avi Tal 2012-05-26 17:09:29 EDT
What does /proc/net/bonding/bondX contain when bondingOptions=None?
Comment 5 Martin Pavlik 2012-05-28 02:10:12 EDT
Sorry, I should have mentioned that it is in attachment with logs

BONDING_OPTS='mode=802.3ad miimon=150'

Seems that it is options which are used, when you try to create custom bond with empty options.
Comment 6 Avi Tal 2012-06-07 02:38:34 EDT
This is a backend bug and Automation test blocker. it blocks us from testing different bonding modes
Comment 7 Avi Tal 2012-06-07 02:50:14 EDT
*** Bug 828171 has been marked as a duplicate of this bug. ***
Comment 9 Mike Kolesnik 2012-06-07 04:25:42 EDT
Comment 11 Martin Pavlik 2012-06-15 06:40:32 EDT
Verified, now bond in mode can be created

Note You need to log in before you can comment on or make changes to this bug.